Bug 1469469 - Rename the usage of disable-multipath.sh script to blacklist_all_disks.sh
Rename the usage of disable-multipath.sh script to blacklist_all_disks.sh
Status: POST
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy (Show other bugs)
0.10.7-0.0.20
x86_64 Linux
unspecified Severity high
: ovirt-4.1.8
: ---
Assigned To: Gobinda Das
RamaKasturi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 06:30 EDT by SATHEESARAN
Modified: 2017-10-03 07:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sasundar: ovirt‑4.1?
sasundar: planning_ack?
sasundar: devel_ack?
sasundar: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80896 master MERGED Renamed disable-multipath.sh script to blacklist_all_disks.sh 2017-08-30 04:08 EDT
oVirt gerrit 80948 ovirt-4.1 MERGED Renamed disable-multipath.sh script to blacklist_all_disks.sh 2017-08-30 07:52 EDT
oVirt gerrit 82510 master MERGED Renamed disable-multipath.sh script to blacklist_all_disks.sh 2017-11-15 03:52 EST

  None (edit)
Description SATHEESARAN 2017-07-11 06:30:58 EDT
Description of problem:
-----------------------
The script 'disable_multipath.sh' is renamed to 'blacklist_all_disks.sh' with gdeploy-2.0.2-12.el7rhgs

When gdeploy-2.0.2-12.el7rhgs is used by oVirt, then the generated gdeploy config file needs to be updated

Version-Release number of selected component (if applicable):
-------------------------------------------------------------

How reproducible:
-----------------
NA

Steps to Reproduce:
-------------------
NA

Actual results:
----------------
disable_multipath.sh script is invoked from gdeploy

Expected results:
------------------
With gdeploy-2.0.2. to blacklist the local disks, one should use '/usr/share/gdeploy/scripts/blacklist_all_disks.sh '

Additional info:
Comment 3 RamaKasturi 2017-09-12 02:30:14 EDT
Verified and works fine with build cockpit-ovirt-dashboard-0.10.8-2.0.ovirt41.el7ev.noarch.

I see that the script disable_multipath.sh has been renamed to blacklist_all_disks.sh and ignore_script_errors parameter has been added.

[script3]
action=execute
file=/usr/share/gdeploy/scripts/blacklist_all_disks.sh
ignore_script_errors=no
Comment 4 SATHEESARAN 2017-09-14 08:03:08 EDT
The fix for this bug is reverted with the effect of this bug - https://bugzilla.redhat.com/show_bug.cgi?id=1491548 - as because the latest gdeploy which carries the associated fix is not yet available.

Making the required changes with bugzilla flags and acks

Note You need to log in before you can comment on or make changes to this bug.